Subject: Re: bug#30773: parted doesn't thoroughly erase old signatures

From: Phillip Susi <[email-masked]>
Date: Mon, 18 Jun 2018 12:29:12 -0400

On 6/7/2018 11:23 AM, Brian C. Lane wrote:
> parted doesn't wipe signatures. Use something like wipefs for that :)

Sure it does; see ped_disk_clobber().  It wipes the first and last 8k of
the disk, which gets most signatures, but I'm guessing ZFS is not in
that range.  LVM is another oddly placed one iirc.